<head>
    <link href='https://fonts.googleapis.com/css?family=Inconsolata' rel='stylesheet' type='text/css'>
</head>
<template name="hangman">
    <div class="hangman">
        <h2>Hangman!</h2>
        <form id="guessForm">
            <span class="message">Guess a letter: </span>
            <input id="guessLetterInput" type="text" maxlength="1" autocomplete="off" autofocus >
            <input type="submit" class="button" value="Guess!">
        </form>
        <div id="gameBoard">
            {{board}}
        </div>
        <div class="message" id="guessedLetters">
            Guessed Letters: <b>{{guessedLetters}}</b>
        </div>
        <div class="message" id="guessesRemaining">
            Guesses Remaining: <b>{{guessesRemaining}}</b>
            <span class="animatedSprite {{hangmanSprite}}"></span>
        </div>
        {{#if showReset}}
            <span class="message">You {{winOrLose}}</span>
            <button class="button" id="reset" >Play again</button>
            <button class="button" id="back">Back to Menu</button>
        {{/if}}
        <button class="button" id="create">Create Puzzle</button>

        <div class="modal">
            <div class="modalContent">
                <span class="closeModal">×</span>
                <form id="createForm">
                    <div id="createPuzzleForm">
                        <h2>Enter a puzzle word or phrase</h2>
                        <input type="text" id="puzzleInput" placeholder="Puzzle..." autocomplete="off" autofocus>
                        <button class="button">Submit!</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</template>